## BtIcTriggerControl BtIcTriggerControl — buzztards interaction controller single trigger control |

## Synopsis

    #include <libbtic/ic.h>

                        BtIcTriggerControl;
    BtIcTriggerControl * btic_trigger_control_new           (const BtIcDevice *device,
                                                             const gchar *name);

## Object Hierarchy

      GObject
       +----BtIcControl
             +----BtIcTriggerControl

## Properties

      "value"                    gboolean              : Read / Write

## Description

Trigger control. The state of the hardware control can be read from BtIcTriggerControl:value.

## Details

### BtIcTriggerControl

    typedef struct _BtIcTriggerControl BtIcTriggerControl;

buzztards interaction controller single trigger control

### btic_trigger_control_new ()

    BtIcTriggerControl * btic_trigger_control_new           (const BtIcDevice *device,
                                                             const gchar *name);

Create a new instance

`device` : | the device it belongs to
`name` : | human readable name
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"value"` property

      "value"                    gboolean              : Read / Write

control value.

Default value: FALSE